from __future__ import division
import es
import playerlib
import weaponlib

info = es.AddonInfo()
info.name     = "yoni0505's ammocolor"
info.version  = "1.0"
info.url	  = "http://addons.eventscripts.com/addons/view/ammocolor"
info.basename = "ammocolor"
info.author   = "yoni0505"

ammocolor_announce = es.ServerVar("ammocolor_announce",	1, "announces ammocolor each round")

def load():
	es.doblock('corelib/noisy_on')
	
def unload():
	es.doblock('corelib/noisy_off')

def round_start(event_var):
	if ammocolor_announce > 0:
		es.msg("#multi", "#green [ammocolor]#default is ON. the clip is emptier, the weapon is redder. the color updates when player shoot.")

def weapon_fire(event_var):
	player = playerlib.getPlayer(event_var['userid'])
	weapon = weaponlib.getWeapon(event_var['weapon'])
	clip = weapon.clip
	bullets = player.getClip(weapon)
	Wcolor = int(255*(bullets/clip))
	player.setWeaponColor(255,Wcolor,Wcolor,a=255)

def player_spawn(event_var):
	player = playerlib.getPlayer(int(event_var['userid']))
	player.setWeaponColor(255,255,255,a=255)